## genht 1.0.1

=== Makefile ===
all:
	cd src && make all

install:
	cd src && make install
