=== src/Makefile ===
# use -Dinline if compiling with c89
INCDIR=$(install_root)$(DESTDIR)/usr/include/genht
LIBDIR=$(install_root)$(DESTDIR)/usr/lib

VER_MAJOR=1
VER_MINOR=0
VER_PATCH=1
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

CFLAGS=-g $(GENHT_CFLAGS)
LDFLAGS=$(GENHT_LDFLAGS)

BIN=mainsi
OBJS=htss.o htsp.o htsi.o htip.o htpp.o htpi.o hash.o siphash24.o
LIBSO=libgenht.so.$(VER)
LIBSO1=libgenht.so.$(VER_MAJOR)
LIBA=libgenht.a

all: $(BIN) $(OBJS) $(LIBA) $(LIBSO)

clean:
	-rm $(BIN) $(OBJS) $(LIBA) $(LIBSO) genht_std.so genht_std.a

.SUFFIXES:
.SUFFIXES: .o .c

.c.o:
	$(CC) -o $@ -c -fPIC $< $(CFLAGS)

mainsi: mainsi.o htsi.o
	$(CC) -o $@ mainsi.o htsi.o $(LDFLAGS)

$(LIBSO): $(OBJS)
	$(CC) $(LDFLAGS) -shared -dynamic -rdynamic -o $@ $(OBJS)

$(LIBA): $(OBJS)
	ar rvu $@ $(OBJS)

# for compatibility
genht_std.so: $(LIBSO)
	ln -s $(LIBSO) genht_std.so

# for compatibility
genht_std.a: $(LIBA)
	ln -s $(LIBA) genht_std.a

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/hash.h $(INCDIR)/hash.h
	$(CP) `pwd`/ht.h $(INCDIR)/ht.h
	$(CP) `pwd`/ht_inlines.h $(INCDIR)/ht_inlines.h
	$(CP) `pwd`/htip.h $(INCDIR)/htip.h
	$(CP) `pwd`/htsi.h $(INCDIR)/htsi.h
	$(CP) `pwd`/htsp.h $(INCDIR)/htsp.h
	$(CP) `pwd`/htss.h $(INCDIR)/htss.h
	$(CP) `pwd`/htpp.h $(INCDIR)/htpp.h
	$(CP) `pwd`/$(LIBSO) $(LIBDIR)/$(LIBSO)
	$(CP) `pwd`/$(LIBA) $(LIBDIR)/$(LIBA)

uninstall:
	rm -rf $(INCDIR)
	rm $(LIBDIR)/$(LIBSO) $(LIBDIR)/$(LIBA) $(LIBDIR)/$(LIBSO1)

install:
	make install_ CP="cp"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

linstall:
	make install_ CP="ln -s"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)
