=== debian/changelog ===
genht (1.0.1-1) unstable; urgency=low

  * Initial packaging

 -- Tibor Palinkas <genht@igor2.repo.hu>  Wed, 14 Jun 2017 20:24:51 +0200
