=== debian/control ===
Source: genht
Section: libs
Priority: optional
Maintainer: Tibor Palinkas <genht@igor2.repo.hu>
Uploaders: Bdale Garbee <bdale@gag.com>
Standards-Version: 4.0.0
Homepage: http://repo.hu/projects/genht
Build-Depends: debhelper (>= 9)

Package: libgenht1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic hash table lib for C
 Provides a simple interface for creating hash tables with arbitrary
 key and value types. Ships with shared objects for standard table types.

Package: libgenht1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Description: Generic hash table lib for C
 Provides a simple interface for creating hash tables with arbitrary
 key and value types. Ships with shared objects for standard table types.
 .
 This package contains the static library and header files used in
 development.
