=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILD_FLAGS = 1
include /usr/share/dpkg/buildflags.mk

export GENHT_LDFLAGS=-Wl,-soname,libgenht.so.1

%:
	dh $@ --parallel

# there's no configuration step at all
override_dh_auto_configure:

override_dh_auto_install:
	dh_auto_install -v --destdir=debian/tmp
