## genht 1.1.2

=== Makefile ===
all:
	cd src && make all

install:
	cd src && make install

test:
	cd src && make test
