=== debian/changelog ===
genht (1.1.2-1) unstable; urgency=low

  * new upstream version, taking over from Tibor who never finished DM process

 -- Bdale Garbee <bdale@gag.com>  Sat, 08 Jan 2022 11:37:27 -0700
