=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: genht
 Section: libs
 Priority: optional
-Maintainer: Tibor Palinkas <genht@igor2.repo.hu>
-Uploaders: Bdale Garbee <bdale@gag.com>
-Standards-Version: 4.0.0
+Maintainer: Bdale Garbee <bdale@gag.com>
+Standards-Version: 4.6.0
 Homepage: http://repo.hu/projects/genht
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 13)
 
 Package: libgenht1
 Architecture: any
