=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export GENHT_LDFLAGS=-Wl,-soname,libgenht.so.1
 
 %:
-	dh $@ --parallel
+	dh $@
 
 # there's no configuration step at all
 override_dh_auto_configure:
