=== debian/changelog ===
genht (1.1.3-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 20:34:09 +0000

genht (1.1.3-3) unstable; urgency=high

  * re-upload to correct unintended use of urgency=low

 -- Bdale Garbee <bdale@gag.com>  Mon, 19 Aug 2024 04:12:41 -0600

genht (1.1.3-2) unstable; urgency=low

  * patch for incompatible pointer types, closes: #1074987

 -- Bdale Garbee <bdale@gag.com>  Thu, 15 Aug 2024 11:15:19 -0600

genht (1.1.3-1) unstable; urgency=low

  * new upstream version, closes: #1066414
  * move .so symlink to -dev package

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 Mar 2024 16:40:22 -0600

genht (1.1.2-2) unstable; urgency=low

  * add a clean target to the top-level Makefile, add more to src/Makefile clean
    target to enable build after build, closes: #1044287

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Feb 2024 22:48:23 -0700
